NTRZ							User's Manual					NTRZ
	                   Last revision date: June 20, 1996

NAME
	NTRZ - displays animated enter prompts

SYNOPSIS
	enterz [-f file] [-y num] [-d num] [-n num] [-cvh]

DESCRIPTION
	NTRZ displays animated enter prompts from a KaF (for more information
	about the KaF, see the User's Manual for the KaFKa utility).  The KaF
	data and index files must have been prepared by KaFKa before NTRZ can
	use them.  By default, the program will look for them in it's own home
	directory (and the files are expected to have 'enterz' as the root
	name (with '.kdt' and '.kix' extenions).  It will then display a
	randomly-chosen prompt and wait until the user presses enter, at which
	point it will clear the line and terminate.  The default screen line
	for the prompt is the next line after the text and the prompt will be
	centered on this line (if the definition in the KaF permits it).  This
	operation makes NTRZ very suitable for an enter .PEX in the ProBoard
	language prompt. NTRZ has been successfully tested with TheMin 2.0 by
	Ruben Provoost [JMJ] (which is a super chat program, by the way, and is
	also free).  It will run will any .PEX that lets you specify an external
	program for the prompts.

	You can modify the default behavior by using the command lines.

	To install it as the default 'press enter' prompt, copy ENTERZ.PEX,
	ENTERZ.KDT and ENTERZ.KIX to your ProBoard PEX directory.  Fire up
	ProCFG and in the language editor, modify prompt #7 to read:
	'@pENTERZ@' (without the quotes).  Voila!  Instant randomly-selected
	enter prompts.

	To make ENTERZ.PEX work with TheMin v2.0, copy the ENTERZ.PEX/KDT/KIX
	to your ProBoard PEX directory.  Then load the file THEMIN.INI into a
	ASCII text editor (the file is in ProBoard's system directory) and
	edit the line 'EnterPEX = ENTER' to read 'EnterPEX = ENTERZ'.  Voila!
	Instant support.

OPTIONS
	Every option is preceded by the '-' character, note that the case
	is significant, so make sure you use the correct letters. Options
	can be grouped under one switch except when taking additional
	arguments, in which case the argument must follow the option letter
	(with optional whitespace between them) and should be separated from
	the next option with at least on whitepace character.

	-f file
		By default, NTRZ will try to use 'enterz.kdt' and 'enterz.kix'
		as the data files.  These are expected to be found in the in the
		program's home directory). To change the default behavior and force
		NTRZ to use different names, specify the root name with the '-f'
		option.  Note that you cannot change the extensions of the files.
		An important thing to note is that the '-f' option should precede
		every other option to take effect. Since the command-line is parsed
		sequentially, doing this will ensure correct operation.

	-y num
		Changes the screen line.  The 'num' integer must be a valid screen
		y-coordinate (i.e.  0 < num < 25 on most systems).  The default is
		the next line after the last one shown. If necessary, this will also
		scroll the screen by one line so that the last one does not get
		overwritten.

	-d num
		Changes the delay interval between the animation steps.  The
		default is the one defined in the KaF.  It is suggested that you do
		not modify this value since most of the prompts that come in the
		default KaF are optimized for this speed.  The greater the value,
		the slower the animation.

	-n num
		Select 'num' prompt from the KaF.  The default is randomly
		selected.  Use this if you need to force a particular animation
		somewhere.

	-h
		displays a brief summary of correct usage

	-v
		displays version information

	-c
		displays copyright and license notice

EXAMPLES
	enterz
		Select a random sequence and display it on nex line, centered.

	enterz -f alt -n34
		Use 'alt.kdt' and 'alt.kix' as the KaF, display prompt 34.

	enterz /y12 /n25
		Display prompt #25 on line 12 (note that you can use the slash
		instead of a hyphen to specify an option).

FILES
	ENTERZ.PEX  - the main executable for ProBoard v2.1+
	ENTERZ.EXE  - a small command-line utility to check out the KaF
	ENTERZ.KDT  - default data file (95 records)
	ENTERZ.KIX  - index file

BUGS
	The language file does not pass parameters correctly. Until Philippe
	fixes this, we are stuck ;-(

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 2.15
	Release Date: June 20, 1996
	Copyright (c) 1995, 1996 by Branislav L. Slantchev

LEGAL
	NTRZ was compiled with the following products:

		- Borland C++ 3.1, Copyright by Borland Int'l.

		- ProBoard SDK v2.10, Copyright (C) by Philippe Leybaert

		- PB-Lib v2.15, Copyright (c) by Branislav L. Slantchev

	NTRZ (all executables, source and documentation files)
	are Copyright (c) 1995, 1996 by Branislav L. Slantchev.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	If you find this program useful, drop me a post card at the mail
	address (see file SUPPORT.DOC). I will really appreciate that.

